# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['configs_core', 'configs_core.migration', 'configs_core.utils']

package_data = \
{'': ['*']}

install_requires = \
['Mako>=1.2.3,<2.0.0',
 'black',
 'dpath',
 'fastjsonschema',
 'jsonschema',
 'log',
 'luna3',
 'pydantic',
 'ujson']

extras_require = \
{':extra == "migration"': ['sqlalchemy<1.4', 'psycopg2-binary', 'cx_oracle']}

setup_kwargs = {
    'name': 'configs-core',
    'version': '0.1.8',
    'description': '',
    'long_description': 'None',
    'author': 'VisionLabs',
    'author_email': 'info@visionlabs.ru',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
